Skip to main content
GET
/
v1
/
aster
/
fapi
/
v1
/
positionMargin
/
history
Get Position Margin Change History
curl --request GET \
  --url https://api.hypereth.io/v1/aster/fapi/v1/positionMargin/history \
  --header 'Authorization: Bearer <token>'
[
  {
    "amount": "<string>",
    "asset": "<string>",
    "symbol": "<string>",
    "time": 123,
    "type": 123,
    "positionSide": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hypereth.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HMAC SHA256 signature authentication for v1 endpoints

Query Parameters

symbol
string
required
type
enum<integer>
Available options:
1,
2
startTime
integer<int64>
endTime
integer<int64>
limit
integer
default:500
Required range: x <= 500
recvWindow
integer<int64>
timestamp
integer<int64>
required

Response

200 - application/json

Position margin change history

amount
string
asset
string
symbol
string
time
integer<int64>
type
integer
positionSide
string